Part: Elica
|
Posizione nel menu |
---|
Parte → Crea primitive → Elica |
Ambiente |
Part, OpenSCAD |
Avvio veloce |
Nessuno |
Introdotto nella versione |
- |
Vedere anche |
Part Primitive |
Descrizione
Una Part Elica è una forma parametrica che può essere creata con il comando
Part Primitive . Nel sistema di coordinate definito dalla sua proprietà DatiPlacement, l'asse dell'elica corrisponde all'asse Z e il suo punto inferiore, il punto iniziale, si trova sull'asse X.
Utilizzo
Vedere Part Primitive.
Esempio

Qui viene mostrato un oggetto Part Elica creato con l'esempio di scripting riportato di seguito.
Note
- È possibile utilizzare una Part Elica per creare filettature. Vedere il Tutorial sulla filettatura.
Proprietà
Vedere anche: Editor delle proprietà.
Un oggetto Part Elica deriva da un oggetto Funzione Part e ne eredita tutte le proprietà. Ha inoltre le seguenti proprietà aggiuntive:
Dati
Attachment
L'oggetto ha le stesse proprietà di collegamento di un Part Part2DObject.
Coordinate System
- DatiLocal Coord (
Enumeration
): il senso di rotazione, o direzione, dell'elica:Right-handed
oRight-handed
. Il valore predefinito èRight-handed
, il che significa che l'elica gira in senso antiorario mentre sale.
Helix
- DatiPitch (
Length
): la distanza tra due giri consecutivi dell'elica misurata lungo il suo asse Z. Il valore predefinito è1mm
. - DatiHeight (
Length
): l'altezza dell'elica. Il valore predefinito è2mm
. - DatiRadius (
Length
): il raggio iniziale dell'elica. L'elica ha un raggio costante se DatiAngle è0°
. - DatiSegment Length (
QuantityConstraint
): il numero di giri per suddivisione dell'elica. Il valore predefinito è1
, il che significa che ogni giro completo dell'elica è un segmento separato. Utilizzare0
per sopprimere la suddivisione. - DatiAngle (
Angle
): l'angolo che definisce la forma esterna dell'elica. Intervallo valido:-90° < valore < 90°
. Il valore predefinito è0°
. Se è0°
l'elica è cilindrica, altrimenti è conica.
Script
Vedere anche: Autogenerated API documentation, Script di Part e Script di base per FreeCAD.
È possibile creare una Part Elica con il metodo addObject()
del documento:
helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
- Dove
"myHelix"
è il nome dell'oggetto. - La funzione restituisce l'oggetto appena creato.
Esempio:
import FreeCAD as App
doc = App.activeDocument()
helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))
doc.recompute()
- Primitives: Box, Cylinder, Sphere, Cone, Torus, Tube, Create primitives, Shape builder
- Creation and modification: Create sketch, Extrude, Revolve, Mirror, Scale, Fillet, Chamfer, Make face from wires, Ruled Surface, Loft, Sweep, Section, Cross sections, 3D Offset, 2D Offset, Thickness, Projection on surface, Color per face
- Boolean: Make compound, Explode compound, Compound Filter, Boolean, Cut, Union, Intersection, Connect objects, Embed object, Cutout for object, Boolean fragments, Slice apart, Slice to compound, Boolean XOR, Check geometry, Defeaturing
- Other tools: Import CAD file, Export CAD file, Box selection, Create shape from mesh, Create points object from geometry, Convert to solid, Reverse shapes, Create simple copy, Create transformed copy, Create shape element copy, Refine shape, Attachment
- Preferences: Preferences, Fine tuning

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Assembly, BIM, CAM, Draft, FEM, Inspection, Material, Mesh, OpenSCAD, Part, PartDesign, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Surface, TechDraw, Test Framework
- Hubs: User hub, Power users hub, Developer hub